## CamelOfflineStore CamelOfflineStore |

## Synopsis

                        CamelOfflineStore;
    gboolean            camel_offline_store_set_network_state
                                                            (CamelOfflineStore *store,
                                                             gint state,
                                                             GError **error);
    gint                camel_offline_store_get_network_state
                                                            (CamelOfflineStore *store,
                                                             GError **error);
    gboolean            camel_offline_store_prepare_for_offline
                                                            (CamelOfflineStore *store,
                                                             GError **error);

## Object Hierarchy

      GObject
       +----CamelObject
             +----CamelService
                   +----CamelStore
                         +----CamelOfflineStore

## Description

## Details

### CamelOfflineStore

    typedef struct _CamelOfflineStore CamelOfflineStore;

### camel_offline_store_set_network_state ()

    gboolean            camel_offline_store_set_network_state
                                                            (CamelOfflineStore *store,
                                                             gint state,
                                                             GError **error);

Set the network state to either CAMEL_OFFLINE_STORE_NETWORK_AVAIL or CAMEL_OFFLINE_STORE_NETWORK_UNAVAIL.

`store` : | a CamelOfflineStore object
`state` : | the network state
`error` : | return location for a GError, or `NULL`
Returns : |

### camel_offline_store_get_network_state ()

    gint                camel_offline_store_get_network_state
                                                            (CamelOfflineStore *store,
                                                             GError **error);

Return the network state either CAMEL_OFFLINE_STORE_NETWORK_AVAIL or CAMEL_OFFLINE_STORE_NETWORK_UNAVAIL.

`store` : | a CamelOfflineStore object
`error` : | return location for a GError, or `NULL`
Returns : |

Since 2.24

### camel_offline_store_prepare_for_offline ()

    gboolean            camel_offline_store_prepare_for_offline
                                                            (CamelOfflineStore *store,
                                                             GError **error);

`store` : |
`error` : |
Returns : |

Since 2.22